package md

type LoginReq struct {
	Phone string `json:"phone" binding:"required" label:"登录手机号"`
}

type LoginResponse struct {
	Token string `json:"token"`
}

type WxAppletLoginResponse struct {
	OpenId  string `json:"open_id"`
	UnionId string `json:"union_id"`
}

type RegisterReq struct {
	UserId   string `json:"user_id" label:"支付宝用户的唯一userId"`
	OpenId   string `json:"open_id" label:"微信小程序openid"`
	UnionId  string `json:"union_id" label:"微信unionId"`
	Nickname string `json:"nickname" label:"支付宝昵称"`
	Avatar   string `json:"avatar" label:"支付宝头像"`
	Phone    string `json:"phone" binding:"required" label:"手机号"`
}
